var fs = require('fs')
var path = require('path')
var pkgcloud = require('pkgcloud')

if (process.argv.length !== 7) {
  console.error('zip file, storage account name, key, container and folder has to be set in argv')
  process.exit(1)
}

var [, , zipFile, storageAccount, storageAccessKey, container, folder] = process.argv
if (!fs.existsSync(zipFile)) {
  console.error('zip file doesnt exits')
  process.exit(1)
}

var client = pkgcloud.storage.createClient({
  provider: 'azure',
  storageAccount,
  storageAccessKey
})

var readStream = fs.createReadStream(zipFile)
var writeStream = client.upload({
  container: container,
  remote: folder
    ? folder.match(/\.\w+$/)
      ? folder
      : folder + '/' + path.basename(zipFile)
    : path.basename(zipFile)
})

writeStream.on('error', function(err) {
  console.error('upload error', err)
})

writeStream.on('success', function(file) {
  console.log('uploaded', JSON.stringify(file))
})

readStream.pipe(writeStream)
