require('core-js/features/object/entries')

const nodeSdk =
  process.env.NODE_ENV === 'development'
    ? eval("require('@dvorakjan/feedbot-node-sdk/src')")
    : require('@dvorakjan/feedbot-node-sdk/dist/node-sdk/src')

const fileUpload = nodeSdk.FileUpload
// const fileUpload = require('@dvorakjan/feedbot-node-sdk/dist/node-sdk/src').FileUpload

module.exports = function(context, req) {
  function callbackHandler(error, results) {
    if (error) {
      context.res = {
        status: 500,
        body: { message: err }
      }
    } else {
      context.res = {
        status: 200,
        body: results
      }
    }
    context.done()
  }

  fileUpload.init()

  switch (req.method) {
    case 'POST':
      fileUpload.upload(context.req.params, req.body, callbackHandler)
      break
    case 'DELETE':
      fileUpload.remove(context.req.params.filename, callbackHandler)
      break
    case 'GET':
    default:
      fileUpload.list(callbackHandler)
      break
  }
}
